%define url_ver	%(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Name:		xfce4-pulseaudio-plugin
Summary:	A panel plugin for controlling PulseAudio mixer
Version:	0.4.8
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
Url:		https://goodies.xfce.org/projects/panel-plugins/xfce4-pulseaudio-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	xfce4-dev-tools
BuildRequires:	git
BuildRequires:	intltool

BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64exo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64notify-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64wnck3-devel
BuildRequires: lib64xfce4panel2.0-devel
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64xfce4util-devel 
BuildRequires: lib64xfconf-devel
BuildRequires: perl(XML::Parser)

Requires:	xfce4-panel
Requires:	pavucontrol

%description
Xfce4-pulseaudio-plugin is a panel plugin for controlling an audio
output volume of the PulseAudio mixer.

%prep
%setup -q

%build
%xdt_autogen
%configure2_5x --disable-libnotify --disable-debug

%make_build

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

# to display Sound-Settings on XFCE-Settings-Manager
mkdir -p %{buildroot}%{_datadir}/applications

cat <<EOF > %{buildroot}%{_datadir}/applications/xfce-sound-settings.desktop
[Desktop Entry]
Version=1.0
Name=Sound
Comment=Configure sound settings
Exec=pavucontrol
Icon=pavucontrol
Terminal=false
Type=Application
Categories=XFCE;GTK;Settings;DesktopSettings;X-XFCE-SettingsDialog;X-XFCE-HardwareSettings;
StartupNotify=false
OnlyShowIn=XFCE;
X-XfcePluggable=false
X-XfceHelpPage=sound
EOF


%find_lang %{name}

%files -f %{name}.lang
%{_libdir}/xfce4/panel/plugins/libpulseaudio-plugin.so
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/xfce4/panel/plugins/pulseaudio.desktop
%{_datadir}/applications/xfce-sound-settings.desktop

%changelog
* Tue Oct 03 2023 tex - 0.4.8-1pclos2023
- new version
